View Issue Details

IDProjectCategoryView StatusLast Update
0036838FPCDocumentationpublic2020-04-10 11:00
ReporterSven Barth Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.4 
Fixed in Version3.3.1 
Summary0036838: Clarify behavior of Overflow- and RangeChecks regarding 32 vs. 64-bit targets
DescriptionIn a recent bug report (0036829) a reporter remarked about missing overflow checks for Inc() and Dec() statements to which Jonas referenced an older bug report (0025201) where he explains the behavior of Overflow- and RangeChecks better. This information would be better suited in the Programmer's Guide in the sections 1.2.64 (overflow checks) and 1.2.65 (range checks).
TagsNo tags attached.
Fixed in Revision1688
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Michael Van Canneyt

2020-04-09 23:49

administrator   ~0122055

Reworded Jonas' explanation a little and added to overflow check section. Referred to it from range checks section.

Sven Barth

2020-04-10 11:00

manager   ~0122058

Thanks!

Issue History

Date Modified Username Field Change
2020-03-28 14:08 Sven Barth New Issue
2020-03-28 14:08 Sven Barth Status new => assigned
2020-03-28 14:08 Sven Barth Assigned To => Michael Van Canneyt
2020-04-09 23:49 Michael Van Canneyt Status assigned => resolved
2020-04-09 23:49 Michael Van Canneyt Resolution open => fixed
2020-04-09 23:49 Michael Van Canneyt Fixed in Version => 3.3.1
2020-04-09 23:49 Michael Van Canneyt Fixed in Revision => 1688
2020-04-09 23:49 Michael Van Canneyt FPCTarget => 3.2.0
2020-04-09 23:49 Michael Van Canneyt Note Added: 0122055
2020-04-10 11:00 Sven Barth Status resolved => closed
2020-04-10 11:00 Sven Barth Note Added: 0122058